## kodi-pvr-wmc 0.5.8+git20150717

=== CMakeLists.txt ===
project(pvr.wmc)

cmake_minimum_required(VERSION 2.6)

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR})

add_definitions(-DUSE_DEMUX)

set(WMC_SOURCES src/client.cpp
                src/DialogDeleteTimer.cpp
                src/DialogRecordPref.cpp
                src/pvr2wmc.cpp
                src/Socket.cpp
                src/utilities.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${platform_LIBRARIES})

if (WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

build_addon(pvr.wmc WMC DEPLIBS)

include(CPack)

## kodi-pvr-wmc 0.5.8%2Bgit20150717

=== debian/control ===
Source: kodi-pvr-wmc
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.wmc.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-wmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-wmc.git


Package: kodi-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: WMC PVR Addon for Kodi
 This package contains the WMC PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

## kodi-pvr-wmc 0.5.8+git20150717

=== debian/changelog ===
kodi-pvr-wmc (0.5.8+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-wmc

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-wmc 0.6.15+git20160301

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,6 @@
 add_definitions(-DUSE_DEMUX)
 
 set(WMC_SOURCES src/client.cpp
-                src/DialogDeleteTimer.cpp
-                src/DialogRecordPref.cpp
                 src/pvr2wmc.cpp
                 src/Socket.cpp
                 src/utilities.cpp)

=== debian/changelog ===
kodi-pvr-wmc (0.6.15+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 0.6.15+git20160301 (Closes: #816583)
  * Bump standards version to 3.9.7
  * Switch to p8-platform from (cec-)platform
  * Extend package description (Closes: #808752)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 15:04:22 +0100

=== debian/control ===
Source: kodi-pvr-wmc
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.wmc.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-wmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-wmc.git


Package: kodi-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: WMC PVR Addon for Kodi
 PVR client add-on that provides Live TV, PVR (Personal Video Recorder)
 functions and electronic program guide data for Kodi. The services are
 provided by connecting to ServerWMC, a server interface for Windows
 which communicates with Windows Media Center.

## kodi-pvr-wmc 1.4.4+git20160820

=== CMakeLists.txt ===
project(pvr.wmc)

cmake_minimum_required(VERSION 2.6)

enable_language(CXX)

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR})

add_definitions(-DUSE_DEMUX)

set(WMC_SOURCES src/client.cpp
                src/pvr2wmc.cpp
                src/Socket.cpp
                src/utilities.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES})

if (WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

build_addon(pvr.wmc WMC DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-wmc (1.4.4+git20160820-2) unstable; urgency=medium

  * Update d/control using cme fix
  * Adapt to Kodi PVR api change - SeekTime
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:55:24 +0100

kodi-pvr-wmc (1.4.4+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 1.4.4+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop unused obsoleted patch
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 13:22:27 +0100

=== debian/control ===
Source: kodi-pvr-wmc
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-wmc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-wmc.git
Homepage: https://github.com/kodi-pvr/pvr.wmc.git

Package: kodi-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: WMC PVR Addon for Kodi
 PVR client add-on that provides Live TV, PVR (Personal Video Recorder)
 functions and electronic program guide data for Kodi. The services are
 provided by connecting to ServerWMC, a server interface for Windows
 which communicates with Windows Media Center.

## kodi-pvr-wmc 2.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.wmc)

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

add_definitions(-DUSE_DEMUX)

set(WMC_SOURCES src/client.cpp
                src/pvr2wmc.cpp
                src/Socket.cpp
                src/utilities.cpp)

set(WMC_HEADERS src/client.h
                src/clientversion.h
                src/pvr2wmc.h
                src/Socket.h
                src/utilities.h)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES})

if (WIN32)
  list(APPEND DEPLIBS ws2_32)
  add_compile_options(/wd4996) # Need gethostbyname and inet_addr change to prevent
endif()

build_addon(pvr.wmc WMC DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-wmc (2.4.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Add debian/watch file
  * New upstream version 2.4.5
  * Refresh patches
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:28 +0100

=== debian/control ===
Source: kodi-pvr-wmc
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               kodi-addons-dev (>= 2:18~),
               libkodiplatform-dev (>= 20150826)
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-wmc
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-wmc.git
Homepage: https://github.com/kodi-pvr/pvr.wmc.git

Package: kodi-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: WMC PVR Addon for Kodi
 PVR client add-on that provides Live TV, PVR (Personal Video Recorder)
 functions and electronic program guide data for Kodi. The services are
 provided by connecting to ServerWMC, a server interface for Windows
 which communicates with Windows Media Center.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.wmc/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-wmc 6.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.wmc)

find_package(Kodi REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(WMC_SOURCES src/addon.cpp
                src/pvr2wmc.cpp
                src/settings.cpp
                src/Socket.cpp
                src/utilities.cpp)

set(WMC_HEADERS src/addon.h
                src/pvr2wmc.h
                src/settings.h
                src/Socket.h
                src/utilities.h)

if (WIN32)
  list(APPEND DEPLIBS ws2_32)
  add_compile_options(/wd4996) # Need gethostbyname and inet_addr change to prevent
endif()

# Set values for addon.xml.in
if(NOT OS)
  if(CORE_SYSTEM_NAME STREQUAL linux)
    set(OS "Linux")
  elseif(CORE_SYSTEM_NAME STREQUAL android)
    set(OS "Android")
  elseif(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    set(OS "Darwin embedded")
  elseif(CORE_SYSTEM_NAME STREQUAL osx)
    set(OS "OSX")
  elseif(CORE_SYSTEM_NAME STREQUAL windows)
    set(OS "Windows")
  else()
    set(OS "Unknown")
  endif()
endif()
if(NOT ARCHITECTURE)
  set(ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
endif()

build_addon(pvr.wmc WMC DEPLIBS)

add_definitions(-DWMC_VERSION=${WMC_VERSION})

include(CPack)

=== debian/changelog ===
kodi-pvr-wmc (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Jan 2021 07:30:31 +0000

kodi-pvr-wmc (6.1.0-1) unstable; urgency=medium

  * New upstream version 6.1.0
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:08 +0000

kodi-pvr-wmc (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:05:58 +0000

=== debian/control ===
Source: kodi-pvr-wmc
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc.git
Homepage: https://kodi.tv

Package: kodi-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: WMC PVR Addon for Kodi
 PVR client add-on that provides Live TV, PVR (Personal Video Recorder)
 functions and electronic program guide data for Kodi. The services are
 provided by connecting to ServerWMC, a server interface for Windows
 which communicates with Windows Media Center.

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.wmc/releases \
/kodi-pvr/pvr.wmc/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-wmc 19.0.1

=== debian/changelog ===
kodi-pvr-wmc (19.0.1-1) unstable; urgency=medium

  * New upstream version 19.0.1
  * Remove patch merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Nov 2021 12:13:14 +0000

kodi-pvr-wmc (19.0.0-2) unstable; urgency=medium

  * Make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 28 Oct 2021 11:49:26 +0000

kodi-pvr-wmc (19.0.0-1) unstable; urgency=medium

  * New upstream version 19.0.0
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:26 +0000

kodi-pvr-wmc (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:34:25 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: dh-sequence-kodiaddon,
                cmake,
                kodi-addons-dev (>= 2:19~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc.git

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.wmc/releases \
/kodi-pvr/pvr.wmc/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-wmc 19.0.2

=== debian/changelog ===
kodi-pvr-wmc (19.0.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:52 +0000

kodi-pvr-wmc (19.0.2-1) unstable; urgency=medium

  * New upstream version 19.0.2
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:07 +0000

## kodi-pvr-wmc 20.2.1

=== debian/changelog ===
kodi-pvr-wmc (20.2.1-1) unstable; urgency=medium

  * New upstream version 20.2.1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:00 +0000

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.wmc/releases \
/kodi-pvr/pvr.wmc/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-wmc 20.3.0

=== debian/changelog ===
kodi-pvr-wmc (20.3.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:52:22 +0200

kodi-pvr-wmc (20.3.0-1) unstable; urgency=medium

  * New upstream version 20.3.0
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kodi-pvr-wmc
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.wmc \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-wmc 21.0.2

=== debian/changelog ===
kodi-pvr-wmc (21.0.2-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:35 +0000

kodi-pvr-wmc (21.0.2-1) unstable; urgency=medium

  * New upstream version 21.0.2

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:59 +0000

kodi-pvr-wmc (21.0.0-1) experimental; urgency=medium

  * New upstream version 21.0.0
  * Branch out experimental
  * Modernize package
  * New release 20.2.1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:53 +0000

## kodi-pvr-wmc 21.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,26 +22,6 @@
   add_compile_options(/wd4996) # Need gethostbyname and inet_addr change to prevent
 endif()
 
-# Set values for addon.xml.in
-if(NOT OS)
-  if(CORE_SYSTEM_NAME STREQUAL linux)
-    set(OS "Linux")
-  elseif(CORE_SYSTEM_NAME STREQUAL android)
-    set(OS "Android")
-  elseif(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
-    set(OS "Darwin embedded")
-  elseif(CORE_SYSTEM_NAME STREQUAL osx)
-    set(OS "OSX")
-  elseif(CORE_SYSTEM_NAME STREQUAL windows)
-    set(OS "Windows")
-  else()
-    set(OS "Unknown")
-  endif()
-endif()
-if(NOT ARCHITECTURE)
-  set(ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
-endif()
-
 build_addon(pvr.wmc WMC DEPLIBS)
 
 add_definitions(-DWMC_VERSION=${WMC_VERSION})

=== debian/changelog ===
kodi-pvr-wmc (21.0.3-1) unstable; urgency=high

  * New upstream version 21.0.3
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-pvr-wmc
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-wmc.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-wmc

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.wmc \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
